<script type="text/javascript">
$(function(){
    $('table').dataTable({
        bAutoWidth: true,
        scrollCollapse: true,
        pagingType: "full_numbers",
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "<?=$this->url->get('sale/report/load-records');?>",
            "type": "POST",
        },
        "columns": [
            {
                "data": "saleId" ,
                "searchable": false
            },
            {
                "data": "showname"
            },
            {
                "data": "typeLabel"
            },
            {
                "data": "twFormat"
            },
            {
                "data": "employeeName",
                "sortable": false
            },
            {
                "data": "laststateLabel",
                "sortable": false
            },
            {
                "data" : "funstions" ,
                "sortable": false ,
                "searchable": false
            }
        ],

        // 載入單欄搜尋作法
    })
    // .yadcf([
    //         { column_number: 1, filter_type: "text" },
    //         { column_number: 2, filter_type: "select" },
    //         { column_number: 3, filter_type: "date", date_format: "YYYY-MM-DD HH:mm", datepicker_type: "bootstrap-datetimepicker",filter_delay: 500 },
    //         { column_number: 4, filter_type: "text",filter_delay: 500 }
    // // 處理完成dataTable初始化後將數據資訊放置於指定區域（目前指定於 .widget-footer，仍需解決是否能直接抓到預設配置好的sInfo不用自己設定！）
    // ])
    .on( 'draw.dt', function () {
            // var table = $('#dataTable').DataTable();
            // var info = table.page.info();
            // if( info.recordsDisplay != info.recordsTotal ){
            // sInfo = '顯示第 <span class="text-danger">'+(info.start+1)+'</span> 至 <span class="text-danger">'+info.end+'</span> 項結果，過濾出 <span class="text-danger">'+info.recordsDisplay+'</span> 項(總共<span class="badge">'+info.recordsTotal+'</span> 項)';
            // }else{
            // sInfo = '顯示第 <span class="text-danger">'+(info.start+1)+'</span> 至 <span class="text-danger">'+info.end+'</span> 項結果，共 <span class="badge">'+info.recordsTotal+'</span> 項'
            // }
            // $(".widget-footer").html( sInfo );
    });
});
</script>
